classification
Title: asyncio shield: remove inner callback on outer cancellation
Type: behavior Stage: resolved
Components: asyncio Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: asvetlov, mainro, miss-islington, yselivanov
Priority: normal Keywords: patch

Created on 2018-10-31 15:18 by mainro, last changed 2019-05-07 19:38 by miss-islington. This issue is now closed.

Files
File name Uploaded Description Edit
shield_cancel.patch mainro, 2018-10-31 15:18 shield cancellation patch
Pull Requests
URL Status Linked Edit
PR 10340 merged python-dev, 2018-11-05 17:02
PR 13167 merged miss-islington, 2019-05-07 18:58
Messages (3)
msg328997 - (view) Author: mainro (mainro) * Date: 2018-10-31 15:18
When the future returned by shield is cancelled, its completion callback of the inner future is not removed. This makes the callback list of inner inner future grow each time a shield is created.
msg341798 - (view) Author: miss-islington (miss-islington) Date: 2019-05-07 18:58
New changeset b35acc5b3a0148c5fd4462968b310fb436726d5a by Miss Islington (bot) (Romain Picard) in branch 'master':
bpo-35125: remove inner callback on outer cancellation in asyncio shield (GH-10340)
https://github.com/python/cpython/commit/b35acc5b3a0148c5fd4462968b310fb436726d5a
msg341807 - (view) Author: miss-islington (miss-islington) Date: 2019-05-07 19:38
New changeset 299f69c24c5f0fcfea0b7385b0da661cda78df19 by Miss Islington (bot) in branch '3.7':
bpo-35125: remove inner callback on outer cancellation in asyncio shield (GH-10340)
https://github.com/python/cpython/commit/299f69c24c5f0fcfea0b7385b0da661cda78df19
History
Date User Action Args
2019-05-07 19:38:02miss-islingtonsetmessages: + msg341807
2019-05-07 19:05:59asvetlovsetstatus: open -> closed
stage: patch review -> resolved
resolution: fixed
versions: + Python 3.8
2019-05-07 18:58:36miss-islingtonsetpull_requests: + pull_request13084
2019-05-07 18:58:31miss-islingtonsetnosy: + miss-islington
messages: + msg341798
2018-11-05 17:02:26python-devsetstage: patch review
pull_requests: + pull_request9644
2018-10-31 15:18:41mainrocreate